Attribute VB_Name = "BGSCommDlg"
'*********************************************************************
'Titolo: BGSCommDlg.bas
'Autore: Giorgio Bernardi
'E-Mail: BGSoftware@hotmail.com
'Data  : Novembre 2000
'Descrizione: Riporto qui tutte le costanti dei Flags che si possono
'           inserire nella propriet Flags del Microsoft Common Dialog
'           OCX e nella classe BGSCommonDialog.cls
'           Le spiegazioni sono state sommariamente tradotte dalla
'           guida in linea del controllo M$
'*********************************************************************

'Dichiarazione Costanti dei Flags
'Show Color
Public Const cdlCCFullOpen = &H2           'Apertura Totale
Public Const cdlCCHelpButton = &H8         'Visualizza Help Button
Public Const cdlCCPreventFullOpen = &H4    'Non permette Definizione di nuovi colori e apertura totale
Public Const cdlCCRGBInit = &H1            'Utilizza il Colore Attuale come Iniziale

'Show Fonts
Public Const cdlCFANSIOnly = &H400         'Solo Fonts con Windows Chars
Public Const cdlCFApply = &H200            'Autorizza Apply Button
Public Const cdlCFBoth = &H3               'Visualizza i Fonts dello Screen e della stampante hDC
Public Const cdlCFEffects = &H100          'Autorizza la visione degli effetti Barrato, Sottolineato e Colore del testo
Public Const cdlCFFixedPitchOnly = &H4000  'Solo fixed-pitch fonts.
Public Const cdlCFForceFontExist = &H10000 'Messaggio se Utente sceglie Font inesistente
Public Const cdlCFHelpButton = &H4         'Help Button
Public Const cdlCFLimitSize = &H2000       'Solo FontSize fra Min e Max
Public Const cdlCFNoFaceSel = &H80000      'Nessun font Name Scelto
Public Const cdlCFNoSimulations = &H1000   'Non autorizza graphic device interface (GDI) font simulations.
Public Const cdlCFNoSizeSel = &H200000     'Nessun font Size Scelto
Public Const cdlCFNoStyleSel = &H100000    'NON SPECIFICATO DALL'HELP!!!!
Public Const cdlCFNoVectorFonts = &H800    'Non Autorizza Fonts Vettoriali
Public Const cdlCFPrinterFonts = &H2       'Lista solo Fonts supportati dalla Stampante hDC
Public Const cdlCFScalableOnly = &H20000   'Solo fonts che possono essere Scaled
Public Const cdlCFScreenFonts = &H1        'Solo fonts supportati dal sistema
Public Const cdlCFTTOnly = &H40000         'Solo Fonts TrueType
Public Const cdlCFWYSIWYG = &H8000         'Solo Fonts supportati da Screen e Printer

'Show Printer
Public Const cdlPDAllPages = &H0           'Imposta come Default la stampa di tutte le pagine
Public Const cdlPDCollate = &H10           'Imposta come Default la stampa di pi copie in Fascicoli
Public Const cdlPDDisablePrintToFile = &H80000 'Disabilita Stampa su File
Public Const cdlPDHelpButton = &H800       'Help Button
Public Const cdlPDHidePrintToFile = &H100000 'Nasconde Stampa Su File
Public Const cdlPDNoPageNums = &H8         'Disabilita il Bottone "Da Pagina A Pagina"
Public Const cdlPDNoSelection = &H4        'Disabilita il Bottone "Stampa Selezione"
Public Const cdlPDNoWarning = &H80         'Messaggio se non c' stampante predefinita
Public Const cdlPDPageNums = &H2           'Stato di Pages option button.
Public Const cdlPDPrintSetup = &H40        'Fa vedere il Print Setup Dialog Box al posto del Print normale
Public Const cdlPDPrintToFile = &H20       'Stato del Bottone Print To File
Public Const cdlPDReturnDC = &H100         'Returns a device context for the printer selection made in the dialog box. The device context is returned in the dialog box's hDC property.
Public Const cdlPDReturnDefault = &H400    'Restituisce il Nome della stampante predefinita
Public Const cdlPDReturnIC = &H200         'Returns an information context for the printer selection made in the dialog box. An information context provides a fast way to get information about the device without creating a device context. The information context is returned in the dialog box's hDC property.
Public Const cdlPDSelection = &H1          'Stato di Selection option button. If neither cdlPDPageNums nor cdlPDSelection is specified, the All option button is in the selected state.
Public Const cdlPDUseDevModeCopies = &H40000 'If a printer driver doesn't support multiple copies, setting this flag disables the copies edit control. If a driver does support multiple copies, setting this flag indicates that the dialog box stores the requested number of copies in the Copies property.

'Show Help
Public Const cdlHelpCommandHelp = &H102    'Visualizza Help per un particolare comando
Public Const cdlHelpContents = &H3         'Visualizza il contents topic del file corrente
Public Const cdlHelpContext = &H1          'Visualizza Help per un particolare argomento
Public Const cdlHelpContextPopup = &H8     'Visualizza un argomento identificato da un context number
Public Const cdlHelpForceFile = &H9        'Crea un file Help con testo in un solo formato
Public Const cdlHelpHelpOnHelp = &H4       'Displays Help for using the Help application itself
Public Const cdlHelpIndex = &H3            'Visualizza il file di Indice
Public Const cdlHelpKey = &H101            'Visualizza Help per una Parola Chiave
Public Const cdlHelpPartialKey = &H105     'Chiama il motore di ricerca della guida di windows
Public Const cdlHelpQuit = &H2             'Notifies the Help application that the specified Help file is no longer in use
Public Const cdlHelpSetContents = &H5      'Designates a specific topic as the contents topic
Public Const cdlHelpSetIndex = &H5         'Sets the current index for multi-index Help

'Show Open e Show Save
Public Const cdlOFNAllowMultiselect = &H200     'Multi-selezione    (Apri)
Public Const cdlOFNCreatePrompt = &H2000        'Richiesta Creazione se non esiste (Apri)
Public Const cdlOFNExplorer = &H80000           'Explorer-like
Public Const CdlOFNExtensionDifferent = &H400   'Indica che l'estensione del file scleto  diversa da quella indicata
Public Const cdlOFNFileMustExist = &H1000       'Solo Files esistenti    (Apri)
Public Const cdlOFNHelpButton = &H10            'Visualizza Help Button
Public Const cdlOFNHideReadOnly = &H4           'Nsconde Read Onlycheck box.    (Apri)
Public Const cdlOFNLongNames = &H200000         'Usa long filenames.
Public Const cdlOFNNoChangeDir = &H8            'Forza a scegliere un file della cartella corrente
Public Const CdlOFNNoDereferenceLinks = &H100000 'Non deferenzia i Links
Public Const cdlOFNNoLongNames = &H40000        'No long file names.
Public Const CdlOFNNoReadOnlyReturn = &H8000    'Il file non sar di Sola Lettura
Public Const cdlOFNNoValidate = &H100           'Autorizza caratteri non validi nel nome del file
Public Const cdlOFNOverwritePrompt = &H2        'Conferma di Sovrascrittura    (Salva)
Public Const cdlOFNPathMustExist = &H800        'Solo Percorsi Validi
Public Const cdlOFNReadOnly = &H1               'Valore del ReadOnly CheckBox
Public Const cdlOFNShareAware = &H4000          'Ignora files gi occupati
